/***文档注释***********************************************
 * 作者               :                   龙文航
 * 创建日期      :                   2017.11.25
 * 描述               :                   仓库管理-原料库在制品库成品库管理-出库查询
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/
package market.Lms.Warehouse.mapper;

import java.util.HashMap;
import java.util.List;

import market.Lms.Warehouse.vo.YdmProductFind;
import market.Lms.Warehouse.vo.YdmProductOutlist;

import com.hnshituo.orm.GenericMapper;

@SuppressWarnings("rawtypes")
public interface YdmProductOutlistMapper extends GenericMapper<YdmProductOutlist,Object> {
	public List<HashMap> getNo(String param);
	
	public List<YdmProductOutlist> doQueryWebBySQL(int beginindex, int endindex,String starttime,String endtime,String coilno,String judgesteelcode,Object hmin,Object hmax,Object wmin,Object wmax,String storageattr, String string, String string2, String string3,String objectAttr,String materailtype,YdmProductOutlist ypo);
	
	public int doQueryWebBySQLCount(String starttime,String endtime,String coilno,String judgesteelcode,Object hmin,Object hmax,Object wmin,Object wmax,String storageattr, String string, String string2, String string3,String objectAttr,String materailtype,YdmProductOutlist ypo); 
	
	public void doDeleteRecent(String coilno,String outtype);
	
	public YdmProductOutlist doFindRecent(String coilno,String outtype);
	
	public void doDeleteByCoilno(String coilno);
	
	public void doDelete(String outbillno);
	
	
	
    public List<YdmProductFind> doQueryWebBySQLJXC(int beginindex, int endindex,String starttime,String endtime,String coilno,String judgesteelcode,Object hmin,Object hmax,Object wmin,Object wmax,String storageattr);
	
	public int doQueryWebBySQLJXCCount(String starttime,String endtime,String coilno,String judgesteelcode,Object hmin,Object hmax,Object wmin,Object wmax,String storageattr); 
	public YdmProductOutlist getlast(String coilno);
	
	public void doUpdate(String coilno);
	
	public void doDeleteYpdHistory(String coilno,String storageattr,String statdate);
}
